﻿@model IEnumerable<Categoria>

@{
    ViewData["Title"] = "Categorias";
}
<h1>
    Categorias
</h1>
<h5>La categoria nos permite indicar en que gastamos nuestro dinero,
    tambien, de donde proviene nuestro ingresos.
</h5>
<a asp-action="Crear" class="btn btn-primary mb-3">Crear nueva categoria</a>

<table class="table">
    <thead>
        <tr>
            <th>Acciones</th>
            <th>Nombre</th>
            <th>Tipo</th>
        </tr>
    </thead>
    <tbody>
        @foreach (var categoria in Model){
            <tr>
                <td>
                    <a class="btn btn-primary" asp-action="Editar" asp-route-id="@categoria.Id">Editar</a>
                    <a class="btn btn-danger" asp-action="Borrar" asp-route-id="@categoria.Id">Borrar</a>
                </td>
                <td>@categoria.Nombre</td>
                <td>@categoria.TipoOperacionId.ToString()</td>
            </tr>
        }
        
    </tbody>
</table>